﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<testWEb.Models.POST>
<thead>
    <tr>
        <th>Post ID</th>
        <th>Post Name</th>
        <th>MoTaNgan</th>
        <th>MoTaBV</th>
        <th></th>
    </tr>
</thead>
<tbody>

    @if (Model != null)
    {
        foreach (var item in Model)
        {
            <tr>
                <td>@item.Id</td>
                <td>@item.PostName</td>
                <td>@item.Short_Description</td>
                <td>@item.Description</td>
                <td width="100px">
                    @if (item.Thumbnail != null)
                    {
                        <img src="@Url.Content(item.Thumbnail)" width="100px" />
                    }
                </td>
                <td><a class="btn btn-default" href="@Url.Action("Edit", "PostAdmin", new { PostID = item.Id })"><i class="fa fa-pencil-square-o"></i>Sửa</a></td>
                <td><a class="btn btn-danger" onclick="return confirm('Bạn có chắc muốn xóa bài viết? ');" href="@Url.Action("Xoa", "PostAdmin", new { PostID = item.Id })">Xóa</a></td>

            </tr>
        }
    }


</tbody>
Trang @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber)/ @Model.PageCount

<div class="PagerControl">

    <div class="PagerNumberArea">

        <span>
            <a href="#" class="SelectedPrev"><i class="fa fa-angle-left"></i></a>
        </span>

        @*đường link page*@
        <span class="SelectedPage">
            @Html.PagedListPager(Model, page => Url.Action("DanhSachPost", new { page = page }))
        </span>
        <span>
            <a href="#" class="UnselectedNext"><i class="fa fa-angle-right"></i></a>
        </span>

    </div>

</div><!-- end PagerControl -->
